# musrfit - muSR and beta-NMR data analysis package #

### Contents ###

This is a data analysis package to analyze time differential muSR and beta-NMR data.
Currently it allows the following:

* set up most commonly used fitting functions for muSR and beta-NMR
* fit data, including global fits
* show the fit results and the residuals
* show the Fourier transform of the data
* easily extract the fit parameters and import in other programs (gnuplot, qtiplot/origin, ...)
* generate input fitting files for follow-up runs
* generate global input fitting files based on a single run template
* implement more sophisticated user functions
  (e.g. GL vortex lattice, Meissner screening including low-energy muon stopping profiles)

### Currently supported platforms: ###

* Linux
* Mac OS X
* Windows 10 1809 or newer - current state is for the commited ones
* Web based implementation - http://musruser.psi.ch/cgi-bin/musrfit.cgi

### Documentation ####

For a more exhaustive user documentation see:

  http://lmu.web.psi.ch/musrfit/user/html/index.html

### Contacts ###

<andreas.suter@psi.ch>

For the beta-NMR related parts, please contact

<zaher.salman@psi.ch>

